<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>Call</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Call";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Call.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">model.classes</a></div>
<h2 title="Class Call" class="title">Class Call</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.classes.Call</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Call</span>
extends java.lang.Object</pre>
<div class="block">Call class is used to instance object representing a call</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Clement AZIBEIRO</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,model.classes.ExternPerson,model.classes.Status,model.classes.User,java.sql.Date,int,type.Direction)">Call</a></span>&#8203;(int&nbsp;idCall,
    <a href="ExternPerson.html" title="class in model.classes">ExternPerson</a>&nbsp;extern_person,
    <a href="Status.html" title="class in model.classes">Status</a>&nbsp;call_status,
    <a href="User.html" title="class in model.classes">User</a>&nbsp;operator,
    java.sql.Date&nbsp;date,
    int&nbsp;duration,
    <a href="../../type/Direction.html" title="enum in type">Direction</a>&nbsp;direction)</code></th>
<td class="colLast">
<div class="block">Constructor of the Call class</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.sql.Date</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDate()">getDate</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../type/Direction.html" title="enum in type">Direction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDirection()">getDirection</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDuration()">getDuration</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="ExternPerson.html" title="class in model.classes">ExternPerson</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getExtern_person()">getExtern_person</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIdCall()">getIdCall</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="Status.html" title="class in model.classes">Status</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOne_status()">getOne_status</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOperator()">getOperator</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCall_status(model.classes.Status)">setCall_status</a></span>&#8203;(<a href="Status.html" title="class in model.classes">Status</a>&nbsp;call_status)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDate(java.sql.Date)">setDate</a></span>&#8203;(java.sql.Date&nbsp;date)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDirection(type.Direction)">setDirection</a></span>&#8203;(<a href="../../type/Direction.html" title="enum in type">Direction</a>&nbsp;direction)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDuration(int)">setDuration</a></span>&#8203;(int&nbsp;duration)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setExtern_person(model.classes.ExternPerson)">setExtern_person</a></span>&#8203;(<a href="ExternPerson.html" title="class in model.classes">ExternPerson</a>&nbsp;extern_person)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIdCall(int)">setIdCall</a></span>&#8203;(int&nbsp;idCall)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOperator(model.classes.User)">setOperator</a></span>&#8203;(<a href="User.html" title="class in model.classes">User</a>&nbsp;operator)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Override of the method to string, show all properties of an instance of Call class</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,model.classes.ExternPerson,model.classes.Status,model.classes.User,java.sql.Date,int,type.Direction)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Call</h4>
<pre>public&nbsp;Call&#8203;(int&nbsp;idCall,
            <a href="ExternPerson.html" title="class in model.classes">ExternPerson</a>&nbsp;extern_person,
            <a href="Status.html" title="class in model.classes">Status</a>&nbsp;call_status,
            <a href="User.html" title="class in model.classes">User</a>&nbsp;operator,
            java.sql.Date&nbsp;date,
            int&nbsp;duration,
            <a href="../../type/Direction.html" title="enum in type">Direction</a>&nbsp;direction)</pre>
<div class="block">Constructor of the Call class</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idCall</code> - An id of the call</dd>
<dd><code>extern_person</code> - An instance of ExternPeson class</dd>
<dd><code>call_status</code> - An instance of Status class</dd>
<dd><code>operator</code> - An instance of User class</dd>
<dd><code>date</code> - An instance of the Date class</dd>
<dd><code>duration</code> - The duration</dd>
<dd><code>direction</code> - The direction (In, Out)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getIdCall()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdCall</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getIdCall()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current value of call id</dd>
</dl>
</li>
</ul>
<a id="getExtern_person()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtern_person</h4>
<pre class="methodSignature">public&nbsp;<a href="ExternPerson.html" title="class in model.classes">ExternPerson</a>&nbsp;getExtern_person()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current extern person of the call</dd>
</dl>
</li>
</ul>
<a id="getOne_status()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOne_status</h4>
<pre class="methodSignature">public&nbsp;<a href="Status.html" title="class in model.classes">Status</a>&nbsp;getOne_status()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The status of the call</dd>
</dl>
</li>
</ul>
<a id="getOperator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator</h4>
<pre class="methodSignature">public&nbsp;<a href="User.html" title="class in model.classes">User</a>&nbsp;getOperator()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current operator of the call</dd>
</dl>
</li>
</ul>
<a id="getDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre class="methodSignature">public&nbsp;java.sql.Date&nbsp;getDate()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The date of the call</dd>
</dl>
</li>
</ul>
<a id="getDuration()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDuration</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getDuration()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The duration of the call</dd>
</dl>
</li>
</ul>
<a id="getDirection()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirection</h4>
<pre class="methodSignature">public&nbsp;<a href="../../type/Direction.html" title="enum in type">Direction</a>&nbsp;getDirection()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The direction of the call</dd>
</dl>
</li>
</ul>
<a id="setIdCall(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIdCall</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIdCall&#8203;(int&nbsp;idCall)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idCall</code> - The new call id</dd>
</dl>
</li>
</ul>
<a id="setExtern_person(model.classes.ExternPerson)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtern_person</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setExtern_person&#8203;(<a href="ExternPerson.html" title="class in model.classes">ExternPerson</a>&nbsp;extern_person)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extern_person</code> - The new extern person</dd>
</dl>
</li>
</ul>
<a id="setCall_status(model.classes.Status)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCall_status</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCall_status&#8203;(<a href="Status.html" title="class in model.classes">Status</a>&nbsp;call_status)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>call_status</code> - The new call status</dd>
</dl>
</li>
</ul>
<a id="setOperator(model.classes.User)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOperator</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOperator&#8203;(<a href="User.html" title="class in model.classes">User</a>&nbsp;operator)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>operator</code> - The new call operator</dd>
</dl>
</li>
</ul>
<a id="setDate(java.sql.Date)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDate&#8203;(java.sql.Date&nbsp;date)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - The new call date</dd>
</dl>
</li>
</ul>
<a id="setDuration(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDuration</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDuration&#8203;(int&nbsp;duration)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>duration</code> - The new call duration</dd>
</dl>
</li>
</ul>
<a id="setDirection(type.Direction)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDirection</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDirection&#8203;(<a href="../../type/Direction.html" title="enum in type">Direction</a>&nbsp;direction)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>direction</code> - The new call direction</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Override of the method to string, show all properties of an instance of Call class</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Call.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
